Bug 1507001 - [FutureFeature]Import python-stestr for RHOS-13
Summary: [FutureFeature]Import python-stestr for RHOS-13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-stestr
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: beta
: 13.0 (Queens)
Assignee: Chandan Kumar
QA Contact: Martin Kopec
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-27 11:49 UTC by Chandan Kumar
Modified: 2018-06-27 13:39 UTC (History)
8 users (show)

Fixed In Version: python-stestr-1.1.0-1.el7ost.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:38:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 10308 None None None 2017-10-27 11:50:42 UTC
Red Hat Bugzilla 1532607 None None None Never
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:39:58 UTC

Internal Links: 1532607

Description Chandan Kumar 2017-10-27 11:49:36 UTC
Tempest-17.1.0 is coming for RHOS-12 which adds python-stestr as a BR to run tempest unit tests. We need to import this package in RHOS-12 for the same.

Comment 1 Thierry Vignaud 2017-10-31 15:29:42 UTC
But python-stestr also needs python-future...

Comment 2 Mike Burns 2017-11-02 12:45:09 UTC
This is a build requires only, so we don't need to track in BZ.

Comment 3 Chandan Kumar 2018-01-09 12:12:59 UTC
Opening it as coming as a Requires for Tempest in Queens releases.
It is going the universal test runner for running unit, integration as well as functional tests

Comment 8 Martin Kopec 2018-04-24 12:18:44 UTC
python2-stestr-1.1.0-1.el7ost.1 package is available in RHOS13 repository, so marking the bug as VERIFIED.

Comment 11 errata-xmlrpc 2018-06-27 13:38:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.